#all: rd2html
all: v.rd rd2html rd2txt
package: sample v.rd rd2html rd2txt sample-clean delbak readme

v.rd: sample-divmod01.rb.v.rd
v.rd: sample-polynomial01.rb.v.rd
v.rd: sample-polynomial02.rb.v.rd
v.rd: sample-m-polynomial01.rb.v.rd
v.rd: sample-groebner01.rb.v.rd
v.rd: sample-primefield01.rb.v.rd
v.rd: sample-algebraicfield01.rb.v.rd
v.rd: sample-algebraicfield02.rb.v.rd
v.rd: sample-quotientfield01.rb.v.rd
v.rd: sample-quotientfield02.rb.v.rd
v.rd: sample-quotientfield03.rb.v.rd
v.rd: sample-quotientfield04.rb.v.rd
v.rd: sample-gaussian-elimination01.rb.v.rd
v.rd: sample-cayleyhamilton01.rb.v.rd
v.rd: sample-groebner02.rb.v.rd
v.rd: sample-groebner03.rb.v.rd
v.rd: sample-factorize01.rb.v.rd
v.rd: sample-factorize02.rb.v.rd
v.rd: sample-factorize03.rb.v.rd
v.rd: sample-factorize04.rb.v.rd

readme:
	cp README*.txt ..

delbak:
	rm -f *~

sample:
	cp ../sample/*.rb .

sample-clean:
	rm sample-*.rb sample-*.rb.v.rd

rmrb:
	rm sample-*.rb *~

include ~/include/rd.mak
